<template>
  <div id="show-product-details">
    <section>
      <span class="reserving-message" v-if="showMessage">no tienes suficientes peñascales</span>
    </section>
    <section>
      <span class="name-output">{{ product.name }}</span>
    </section>
    <section>
      <img :src="this.product.urlphoto" />
    </section>
    <section>
      <span>Descripción:</span>
      <span class="description-output">{{ product.description }}</span>
    </section>
    <section>
      <span>Precio:</span>
      <span class="price-output" v-if="product.promos == 0">
        {{
        product.price
        }}
      </span>
      <div v-if="product.promos == 1">
        <p1>{{ product.price }} Pñ</p1>
        <p>{{ product.new_price }} Pñ</p>
      </div>
    </section>
    <section>
      <span>Categoría:</span>
      <span class="category-output">{{ product.category }}</span>
    </section>
    <section class="buttons">
      
      <v-btn
        small
        color="green"
        v-show="actualUserRole.role !== undefined"
        class="reserveProduct"
        @click="confirmFuncionalidadButtonReservar(product)"
      >Reservar</v-btn>
      <v-btn
        small
        color="green"
        v-show="actualUserRole.role === 'admin'"
        v-on:click="editProduct(product)"
        class="edit-product"
      >Editar</v-btn>
    </section>
  </div>
</template>

<script>
export default {
  name: 'ShowProductDetails',
  components: {},
  props: {
    showMessage: Boolean,
    product: {
      propType: Array,
      required: true
    },
    actualUserRole: {
      propType: Array,
      required: true
    }
  },

  data() {
    return {
      messagePrice: ''
    }
  },

  mounted() {},

  methods: {
    editProduct() {
      this.$emit('edit-product-details-event')
    },
    confirmFuncionalidadButtonReservar() {
      this.determinateMessagePrice()
      var r = confirm(
        `¿Quieres comprar : ${this.product.name} al precio de : ${this.messagePrice} Pñ ?`
      )
      if (r == true) {
        this.reserveProduct()
      }
    },
    reserveProduct() {
      this.$emit('reserve-product-event', this.product.idSearched)
    },
    determinateMessagePrice() {
      if (this.product.promos == 0) {
        this.messagePrice = this.product.price
      } else {
        this.messagePrice = this.product.new_price
      }
    }
  }
}
</script>


<style scoped>
#product_details {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
img {
  height: 20rem;
  width: 20rem;
}
.edit-product {
  margin-left: 5%;
}
.buttons {
  margin-top: 3%;
}
p1 {
  text-decoration: line-through;
}
</style>
